import { Client } from "../client/Client";
import { Feed } from "../structures/Feed";
/**
 * Handles different feeds for the Client
 */
export declare class FeedManager {
    #private;
    /**
     * @param client Client instance
     */
    constructor(client: Client);
    /**
     * The featured feed
     */
    get features(): Feed;
    /**
     * The collective feed
     */
    get collective(): Feed;
    /**
     * The subscriptions feed
     * @alias home
     */
    get subscriptions(): Feed;
    /**
     * The home feed
     * @alias subscriptions
     */
    get home(): Feed;
}
export default FeedManager;
//# sourceMappingURL=FeedManager.d.ts.map